Skip to main content
`Ctrl`+`K`

# numpy.emath.arcsin

emath.arcsin(x)

  Compute the inverse sine of x.

  Return the “principal value” (for a description of this, see `numpy.arcsin`) of the inverse sine of x. For real x such that abs(x) <= 1, this is a real number in the closed interval \([-\pi/2, \pi/2]\). Otherwise, the complex principle value is returned.

  Parameters:
    x array_like or scalar

      The value(s) whose arcsin is (are) required.

  Returns:
    out ndarray or scalar

      The inverse sine(s) of the x value(s). If x was a scalar, so is out, otherwise an array object is returned.

  See also

  `numpy.arcsin`

  Notes

  For an arcsin() that returns `NAN` when real x is not in the interval `[-1,1]`, use `numpy.arcsin`.

  Examples

      >>> import numpy as np
      >>> np.set_printoptions(precision=4)

      >>> np.emath.arcsin(0)
      0.0

      >>> np.emath.arcsin([0,1])
      array([0.    , 1.5708])